%mMaskMaker13Code.m

% function [Code1 Code2] = m12MaskMakerCode(Interaction)
% 
% switch Interaction
%     case 'cWW',        Code1='A';    Code2='B';
%     case 'tWW',        Code1='C';    Code2='D';
%     case 'cWH',        Code1='E';    Code2='F';
%     case 'tWH',        Code1='G';    Code2='H';
%     case 'cWS',        Code1='I';    Code2='J';
%     case 'tWS',        Code1='K';    Code2='L';
%     case 'cHH',        Code1='M';    Code2='N';
%     case 'tHH',        Code1='O';    Code2='P';
%     case 'cHS',        Code1='Q';    Code2='R';
%     case 'tHS',        Code1='S';    Code2='T';
%     case 'cSS',        Code1='U';    Code2='V';
%     case 'tSS',        Code1='W';    Code2='X';
%     %otherwise ,        Code1='Y';    Code2='Z';
% end

function [Code1 Code2] = m12MaskMakerCode(Table)

switch Table
    case 1,         Code1='A';    Code2='B';
    case 2,         Code1='C';    Code2='D';
    case 3,         Code1='E';    Code2='F';
    case 4,         Code1='G';    Code2='H';
    case 5,         Code1='I';    Code2='J';
    case 6,         Code1='K';    Code2='L';
    case 7,         Code1='M';    Code2='N';
    case 8,         Code1='O';    Code2='P';
    case 9,         Code1='Q';    Code2='R';
    case 10,        Code1='S';    Code2='T';
    case 11,        Code1='U';    Code2='V';
    case 12,        Code1='W';    Code2='X';
    case 13,        Code1='Y';    Code2='Z';    
    otherwise,      Code1='?';    Code2='!'; %This means that this is part of the BP list, but no information about interaction type (to differentiate from just . which means this is not even mentioned in the BP list)
end
